# ListUpcomingActionExecutions Method

## Description

Retrieves the list of upcoming action executions.

## HTTP Request

`GET https://api.skeddly.com/api/ActionExecutions/Upcoming`

## Query Parameters

### filter.actionClasses

A comma-separated list of types of actions.

Type: `string`

Valid Values:

* `standard`
* `managedInstances`

Type: `string`

Required: No

### filter.projectIds

A comma-separated list of project IDs to include.

Type: `string`

Required: Recommended for future compatability

## Returns

Array of [UpcomingActionExecution](/data-types/upcomingactionexecution-object.md) objects.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/ActionExecutions/Upcoming HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/ActionExecutions/Upcoming"
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
[
  {
    "actionId": "a-00000001",
    "actionName": "Start My Instances",
    "actionType": "amazon-start-ec2-instance",
    "actionVersionId": "av-00000001",
    "managedInstanceId": "mi-00000001",
    "startDate": "2016-06-09T12:41:00Z",
    "timeZoneId": "UTC"
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/action-executions/listupcomingactionexecutions-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
